/***************************************************************************
 * <p>Title: Presence Detection</p>
 * <p>Description: Projects In Computer Science</p>
 * <p>Copyright: Copyright (c) 2007</p>
 * <p>Company: Columbia University; all rights reserved</p>
 *
 * @author Denis Abramov (daa82@columbia.edu)
 * @version 1.0
 *
 * Description:
 * A class to encompass the results that are produced by
 * an algorithm
 ***************************************************************************/

package com.presencedetection.algos;

import java.awt.image.BufferedImage;
import java.awt.image.Raster;
import java.awt.Color;

public class PDResults {
  private boolean _presence_detected;
  private int _num_of_people_seen;
  private int _image_type;
  private ImageData _rgb_values;

  public PDResults(boolean presence_detected, int numOfPeopleSeen, ImageData rgb_values) {
      _presence_detected = presence_detected;
      _num_of_people_seen = numOfPeopleSeen;
      _rgb_values = rgb_values;
  }


  /**********************************************************************
   * Is presence detected?
   *
   *********************************************************************/
 public boolean isPresenceDetected() {
    return _presence_detected;
  }

  /**********************************************************************
   * Get the array of RGB values
   *
   *********************************************************************/
  public ImageData getRGBArray() {
    return _rgb_values;
  }

  /**********************************************************************
   * Return the buffered image object
   *
   **********************************************************************/
  public BufferedImage getImage() {
    BufferedImage image = new BufferedImage(_rgb_values.getWidth(),
                                              _rgb_values.getHeight(), BufferedImage.TYPE_INT_RGB);
    for (int y = 0; y < _rgb_values.getHeight(); y++) {
      for (int x = 0; x < _rgb_values.getWidth(); x++) {
        image.setRGB(x, y, (int) _rgb_values.get(x, y));
      }
    }

    return image;
  }

}
